
Application: gvSIG desktop - gvSIG bugs #2476
Persistence error when opening and closing Preferences window
04/03/2014 10:15 AM - Mario Carrera

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category: Raster
Target version: 2.1.0-2226-testing
Severity: Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2222 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

When the Preferences window is opened and then closed without doing anything, a Persistence error appears. It seems it's related to
Color tables. I attach the log file. 
If I open gvSIG from console, the message is: 
-----
 INFO [AWT-EventQueue-1] (Messages.java:124) - [org.gvsig.i18n.Messages] Cannot find translation for key '_Persistence_error'.
 INFO [AWT-EventQueue-1] (Messages.java:124) - [org.gvsig.i18n.Messages] Cannot find translation for key '_Persistence_error'.
 INFO [AWT-EventQueue-1] (SkinPreferences.java:149) - Skin plugin 'org.gvsig.coreplugin.app.mainplugin', extension
'org.gvsig.coreplugin.mdiManager.NewSkin.
El fichero de paletas predeterminadas no tiene la estructura correcta:
    expected: START_TAG {null}ColorTable (position:START_TAG <RasterMetaFile>@2:17 in java.io.InputStreamReader@1ddbcb1) 
El fichero de paletas predeterminadas no tiene la estructura correcta:
    expected: START_TAG {null}ColorTable (position:START_TAG <RasterMetaFile>@2:17 in java.io.InputStreamReader@8f337b) 
 INFO [AWT-EventQueue-1] (EpsgRepositoryGT.java:71) - CRS not found in GT repository: 23030
 INFO [AWT-EventQueue-1] (CrsFactory.java:171) - Found CRS EPSG:23030 (EpsgRepository)
 INFO [AWT-EventQueue-1] (Messages.java:124) - [org.gvsig.i18n.Messages] Cannot find translation for key '_Persistence_error'.
 INFO [AWT-EventQueue-1] (Messages.java:124) - [org.gvsig.i18n.Messages] Cannot find translation for key '_Persistence_error'.
 INFO [AWT-EventQueue-1] (SkinPreferences.java:149) - Skin plugin 'org.gvsig.coreplugin.app.mainplugin', extension
'org.gvsig.coreplugin.mdiManager.NewSkin.
 INFO [AWT-EventQueue-1] (EpsgRepositoryGT.java:71) - CRS not found in GT repository: 23030
 INFO [AWT-EventQueue-1] (CrsFactory.java:171) - Found CRS EPSG:23030 (EpsgRepository)
 INFO [AWT-EventQueue-1] (Launcher.java:3239) - Quiting application.
 INFO [Thread-7] (HSQLDataSource.java:142) - Deleting CRS temporary database folder
(/home/gruposigp2/gvSIG/plugins/org.gvsig.projection.app.jcrs/db/temp-pid14021).
-----

History
#1 - 04/03/2014 11:33 AM - Álvaro Anguix
- Category set to Raster
- Assignee set to Ignacio Brodín
- Target version set to 2.1.0-2259-rc3

Añadir que aunque aparece en la barra de estado el error, a priori permite seguir funcionando de forma normal.
#2 - 04/03/2014 02:05 PM - Álvaro Anguix

Recordar que en gvSIG 2.1 hay herramientas en menú Tools/Development/Show persistence factories para detectar alertas para los temas de
persistencia y de cara a la final deberíamos intentar tener esto controlado

#3 - 04/04/2014 10:28 AM - Álvaro Anguix
- Priority changed from Normal to Urgent

#4 - 04/16/2014 05:32 PM - Ignacio Brodín
- Status changed from New to Fixed

gvsig-desktop:41304

#5 - 05/01/2014 10:12 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2226-testing

#6 - 05/03/2014 04:53 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG.log 440 KB 04/03/2014 Mario Carrera
